import React from "react"
import accordionStyles from "./accordion.module.css"

export default ({ title, children }) => {
  return (
    <div>
      <input
        hidden={true}
        type="checkbox"
        id={`tab-${title}`}
        name={`tab-${title}`}
      />
      <label htmlFor={`tab-${title}`} className={accordionStyles.header}>
        {title}
      </label>
      <div className={accordionStyles.content}>{children}</div>
    </div>
  )
}
